summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLouis Sautier <sautier.louis@gmail.com>2016-03-07 01:32:36 +0100
committerIan Delaney <idella4@gentoo.org>2016-03-07 16:06:46 +0800
commit2c6f085a6241ba3e01fc48bb3f37447a1c5693c2 (patch)
treef23937914e84c87f83ffaea8cd97c8ed5dd4fbb6 /net-p2p/syncthing
parentmedia-libs/tiff: amd64 stable wrt bug #484542 (diff)
downloadgentoo-2c6f085a6241ba3e01fc48bb3f37447a1c5693c2.tar.gz
gentoo-2c6f085a6241ba3e01fc48bb3f37447a1c5693c2.tar.bz2
gentoo-2c6f085a6241ba3e01fc48bb3f37447a1c5693c2.zip
net-p2p/syncthing: bump to 0.12.20, EAPI=6, re-enable tests
This release introduces a new systemd unit: syncthing-resume Package-Manager: portage-2.2.27
Diffstat (limited to 'net-p2p/syncthing')
-rw-r--r--net-p2p/syncthing/Manifest1
-rw-r--r--net-p2p/syncthing/syncthing-0.12.20.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/net-p2p/syncthing/Manifest b/net-p2p/syncthing/Manifest
index 68a84f5d126..c0f809e008a 100644
--- a/net-p2p/syncthing/Manifest
+++ b/net-p2p/syncthing/Manifest
@@ -1,2 +1,3 @@
DIST syncthing-0.12.18.tar.gz 4046127 SHA256 e0d1af4f29c9e2325507a7daf4bf97098c87c321a7e075125b66ddaa34b37eb4 SHA512 2f2351a983b3d384e9fe65c87d67b81f20fc20b7b43b8d2fab882131bd4e4119f0cf099571d617f22f0125c43224c653e93329392204f3e0ff6c6a3bba7d8263 WHIRLPOOL cfe491241e9ef4ebd19042a3cc3188771cf64d67c0faa29feda7da5980f86a38c1e284938074271e25bbfb881eca1ca56f237bf81a61be4d836287cbfab27eb2
DIST syncthing-0.12.19.tar.gz 4047476 SHA256 5a7035029974fe0fb496d9f8af880a50bcc8499ff5eef7ee4ef48f08df37820e SHA512 89d2b34c5bb9772bcaad84caa03794cdcfeade8fef0b8abaeea6a1cccdc09167a690aa8b1dfadac81d9ac0e8a07c9be112af7f2e56f12f589b906c518c49a686 WHIRLPOOL c0589a5e6a4f090dee9f79bb199c901b3f0e75cf0f92c12851a9713cdf7e813c8a5564ce475000529d2a5edafb9861d1b820858cb6fa3bb5bf082ff5586da9b3
+DIST syncthing-0.12.20.tar.gz 4047350 SHA256 89dc46ebbe8b114467abe0171fd03a76408a9cf4fe44308db2b6d60eee233006 SHA512 1df45f4f778b1f2784f0787695bf5f94796747bc103d032b07e4cdb1108211a5debcfb5a10c0284bee43f896e011e29264e49216216570efe563822efce4907c WHIRLPOOL 8614a87d4b03737dc69e966933314925efa4f2ccd9966af4d44930244a87d2819397c059cec2af2544161c9ab0df41ce7e578d156c4ca0cb911975e10a230aad
diff --git a/net-p2p/syncthing/syncthing-0.12.20.ebuild b/net-p2p/syncthing/syncthing-0.12.20.ebuild
new file mode 100644
index 00000000000..761b96c6fbe
--- /dev/null
+++ b/net-p2p/syncthing/syncthing-0.12.20.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+EGO_PN="github.com/syncthing/syncthing"
+EGIT_COMMIT=v${PV}
+
+inherit golang-vcs-snapshot systemd user
+
+DESCRIPTION="Open Source Continuous File Synchronization"
+HOMEPAGE="https://syncthing.net"
+SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~arm"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
+}
+
+src_compile() {
+ export GOPATH="${S}:$(get_golibdir_gopath)"
+ cd src/${EGO_PN}
+ go run build.go -version "v${PV}" -no-upgrade || die "build failed"
+}
+
+src_test() {
+ cd src/${EGO_PN}
+ go run build.go test || die "test failed"
+}
+
+src_install() {
+ cd src/${EGO_PN}
+ doman man/*.[157] || die
+ dobin bin/*
+ dodoc README.md AUTHORS CONTRIBUTING.md
+ systemd_dounit "${S}"/src/${EGO_PN}/etc/linux-systemd/system/${PN}@.service \
+ "${S}"/src/${EGO_PN}/etc/linux-systemd/system/${PN}-resume.service
+ systemd_douserunit "${S}"/src/${EGO_PN}/etc/linux-systemd/user/${PN}.service
+ newconfd "${FILESDIR}/${PN}.confd" ${PN}
+ newinitd "${FILESDIR}/${PN}.initd" ${PN}
+ keepdir /var/{lib,log}/${PN}
+ fowners ${PN}:${PN} /var/{lib,log}/${PN}
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/${PN}.logrotate" ${PN}
+}